;; 
;; %%HEADER%%
;; 
(define (ui kind format . args)
  (let ((message (apply sprintf format args)))
    (fmt #t
         (cat  (fmt-green (fmt-bold "["))
          (case kind
            ((info)  (fmt-green "INFO"))
            ((warn)  (fmt-yellow "WARNING"))
            ((error) (fmt-red "ERROR"))
            (else "UNKNOWN"))
          (fmt-green (fmt-bold  "] "))
          message))
    (newline)))
